Bug 755150 - systemd rule needs changing to start on graphical desktop too
systemd rule needs changing to start on graphical desktop too
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-18 23:51 EST by Jon Masters
Modified: 2011-11-23 07:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-23 07:02:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jon Masters 2011-11-18 23:51:09 EST
Description of problem:

Unfortunately, systemd removes traditional Unix runlevel concepts and has targets, which means WantedBy with just multiuser won't start ssh by default. It needs to be wanted by in the graphical target too. Please add that so that the ssh server starts regardless of graphical or non-graphical setup.
Comment 1 Petr Lautrbach 2011-11-21 04:06:23 EST
graphical.target is set to Requires=multi-user.target and After=multi-user.target, so all units, which multi-user.target wants, should be activated before graphical.target.

Is your sshd.service enabled? If you change default target to multi-user.target, is sshd.service activated?
Comment 2 Petr Lautrbach 2011-11-23 07:02:15 EST
I installed F16 and started to graphical.target. sshd.service is active as I expected - sshd.service is wanted by multi-user.target which is required by graphical.target

[plautrba@f16 ~]$ systemctl is-active graphical.target
active
[plautrba@f16 ~]$ systemctl is-active multi-user.target
active
[plautrba@f16 ~]$ systemctl is-active sshd.service
active
[plautrba@f16 ~]$ rpm -q openssh
openssh-5.8p2-16.fc16.1.x86_64

Note You need to log in before you can comment on or make changes to this bug.